# irrklang::IVirtualRefCounted Class Reference

Reference counting base class for objects in the Irrlicht Engine similar to IRefCounted. More...

`#include <ik_IVirtualRefCounted.h>`

Inheritance diagram for irrklang::IVirtualRefCounted:

List of all members.

## Public Member Functions
virtual | ~IVirtualRefCounted ()
| Destructor.
virtual void | grab ()=0
| Grabs the object. Increments the reference counter by one.
virtual bool | drop ()=0
| Drops the object. Decrements the reference counter by one.

## Detailed Description

Reference counting base class for objects in the Irrlicht Engine similar to IRefCounted.

See IRefCounted for the basics of this class. The difference to IRefCounted is that the class has to implement reference counting for itself.

## Constructor & Destructor Documentation

virtual irrklang::IVirtualRefCounted::~IVirtualRefCounted | ( |  | ) | `[inline, virtual]`

Destructor.

## Member Function Documentation

virtual bool irrklang::IVirtualRefCounted::drop | ( |  | ) | `[pure virtual]`

Drops the object. Decrements the reference counter by one.

To be implemented by the derived class. If you don't want to implement this, use the class IRefCounted instead. See IRefCounted::grab() for details of this method.

virtual void irrklang::IVirtualRefCounted::grab | ( |  | ) | `[pure virtual]`

Grabs the object. Increments the reference counter by one.

To be implemented by the derived class. If you don't want to implement this, use the class IRefCounted instead. See IRefCounted::grab() for details of this method.

The documentation for this class was generated from the following file:

- ik_IVirtualRefCounted.h

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Defines

| The irrKlang Engine Documentation © 2003-2018 by Nikolaus Gebhardt. Generated by Doxygen (1.6.1)